curl --request POST \
--url http://10.2.4.166:8080/composer/api/connections \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"id": "<string>",
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": true,
"connectionTypeId": "<string>",
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"isSystemAccess": true,
"systemAccess": true
}
],
"folderId": 1111
}
'import requests
url = "http://10.2.4.166:8080/composer/api/connections"
payload = {
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"id": "<string>",
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": True,
"connectionTypeId": "<string>",
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"isSystemAccess": True,
"systemAccess": True
}
],
"folderId": 1111
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
name: '<string>',
type: '<string>',
subStorageType: '<string>',
id: '<string>',
accountId: '<string>',
creatingUserName: '<string>',
disabled: true,
connectionTypeId: '<string>',
allParameters: [{key: '<string>', value: '<string>', isSystemAccess: true, systemAccess: true}],
folderId: 1111
})
};
fetch('http://10.2.4.166:8080/composer/api/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'type' => '<string>',
'subStorageType' => '<string>',
'id' => '<string>',
'accountId' => '<string>',
'creatingUserName' => '<string>',
'disabled' => true,
'connectionTypeId' => '<string>',
'allParameters' => [
[
'key' => '<string>',
'value' => '<string>',
'isSystemAccess' => true,
'systemAccess' => true
]
],
'folderId' => 1111
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/connections")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/connections")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"internal": true,
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": true,
"connectionTypeId": "<string>",
"features": [
{
"name": "<string>",
"params": {},
"status": "ENABLED"
}
],
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"systemAccess": true
}
],
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}Create connection (requires the ROLE_MANAGE_CONNECTIONS privilege)
curl --request POST \
--url http://10.2.4.166:8080/composer/api/connections \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"id": "<string>",
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": true,
"connectionTypeId": "<string>",
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"isSystemAccess": true,
"systemAccess": true
}
],
"folderId": 1111
}
'import requests
url = "http://10.2.4.166:8080/composer/api/connections"
payload = {
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"id": "<string>",
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": True,
"connectionTypeId": "<string>",
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"isSystemAccess": True,
"systemAccess": True
}
],
"folderId": 1111
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
name: '<string>',
type: '<string>',
subStorageType: '<string>',
id: '<string>',
accountId: '<string>',
creatingUserName: '<string>',
disabled: true,
connectionTypeId: '<string>',
allParameters: [{key: '<string>', value: '<string>', isSystemAccess: true, systemAccess: true}],
folderId: 1111
})
};
fetch('http://10.2.4.166:8080/composer/api/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'type' => '<string>',
'subStorageType' => '<string>',
'id' => '<string>',
'accountId' => '<string>',
'creatingUserName' => '<string>',
'disabled' => true,
'connectionTypeId' => '<string>',
'allParameters' => [
[
'key' => '<string>',
'value' => '<string>',
'isSystemAccess' => true,
'systemAccess' => true
]
],
'folderId' => 1111
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/connections")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/connections")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"subStorageType\": \"<string>\",\n \"id\": \"<string>\",\n \"accountId\": \"<string>\",\n \"creatingUserName\": \"<string>\",\n \"disabled\": true,\n \"connectionTypeId\": \"<string>\",\n \"allParameters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"isSystemAccess\": true,\n \"systemAccess\": true\n }\n ],\n \"folderId\": 1111\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"type": "<string>",
"subStorageType": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"internal": true,
"accountId": "<string>",
"creatingUserName": "<string>",
"disabled": true,
"connectionTypeId": "<string>",
"features": [
{
"name": "<string>",
"params": {},
"status": "ENABLED"
}
],
"allParameters": [
{
"key": "<string>",
"value": "<string>",
"systemAccess": true
}
],
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
Specify strategy parameter to find connectionType matching by specific attributes
BY_ID, BY_TYPE_AND_PARAMETERS The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors
Body
Source connection with its features
1A set of connection parameters containing both standard parameters, and those used by the system to provide stateless connections
Show child attributes
Show child attributes
Optional folder ID for organizing the connection within a project.
1111
Response
Created
Source connection with its features
1Indicates whether a connection is managed internally by the system, for example flat files
A collection of features supported by a connector supporting this connection
Show child attributes
Show child attributes
A set of connection parameters containing both standard parameters, and those used by the system to provide stateless connections
Show child attributes
Show child attributes
Id of the exported connection
Project ID where this connection is organized. This field is read-only and only.
2222
Optional folder ID for organizing the connection within a project.
1111
Was this page helpful?